Pathways Pathways
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/pathways/pathwaysimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/pathways/pathways"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/pathways/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"orgnism": "<string>",
"parent_pathway": "<string>",
"child_pathway": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Pathways Pathways
Retrieve related pathway pairs from Reactome.
Set verbose = true to retrieve full info on the pathway pairs.
At least one of these fields is required: pathway_id, pathway_name, or name_aliases.
Example: pathway_id = R-HSA-164843,
pathway_name = 2-LTR circle formation,
name_aliases = 2-LTR circle formation,
disease_ontology_terms = DOID_526,
go_biological_process = GO_0006015.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Pathways Pathways
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/pathways/pathwaysimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/pathways/pathways"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/pathways/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"orgnism": "<string>",
"parent_pathway": "<string>",
"child_pathway": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Homo sapiens Available options:
true, false